package com.scpyun.platform.jilinsscgsdp.bean.entity;

import com.scpyun.base.bean.User;
import com.scpyun.platform.jilinsscgsdp.bean.vo.ReqEventUserInsertVo;

import java.util.Map;

/**
 * @Author liu
 * @Date 2025/1/2 9:30
 * @PackageName:com.scpyun.platform.jilinsscgsdp.bean.entity
 * @ClassName: JlEventAttach
 * @Description: TODO
 * @Version 1.0
 */
public class JlEventUser {
    private String id;
    private String eventId;
    private String eventUserType;
    private String eventUserName;
    private String eventCardno;
    private String eventTel;
    private String tyshxydm;
    private String eventRepresent;
    private String remark;
    private String isKeynote;
    private String keynoteType;
    private User _user;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getEventId() {
        return eventId;
    }

    public void setEventId(String eventId) {
        this.eventId = eventId;
    }

    public String getEventUserType() {
        return eventUserType;
    }

    public void setEventUserType(String eventUserType) {
        this.eventUserType = eventUserType;
    }

    public String getEventUserName() {
        return eventUserName;
    }

    public void setEventUserName(String eventUserName) {
        this.eventUserName = eventUserName;
    }

    public String getEventCardno() {
        return eventCardno;
    }

    public void setEventCardno(String eventCardno) {
        this.eventCardno = eventCardno;
    }

    public String getEventTel() {
        return eventTel;
    }

    public void setEventTel(String eventTel) {
        this.eventTel = eventTel;
    }

    public String getTyshxydm() {
        return tyshxydm;
    }

    public void setTyshxydm(String tyshxydm) {
        this.tyshxydm = tyshxydm;
    }

    public String getEventRepresent() {
        return eventRepresent;
    }

    public void setEventRepresent(String eventRepresent) {
        this.eventRepresent = eventRepresent;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getIsKeynote() {
        return isKeynote;
    }

    public void setIsKeynote(String isKeynote) {
        this.isKeynote = isKeynote;
    }

    public String getKeynoteType() {
        return keynoteType;
    }

    public void setKeynoteType(String keynoteType) {
        this.keynoteType = keynoteType;
    }

    public User get_user() {
        return _user;
    }

    public void set_user(User _user) {
        this._user = _user;
    }

    public void copyFrom(ReqEventUserInsertVo vo) {
        this.setId(vo.getId());
        this.setEventId(vo.getEventId());
        this.setEventUserType(vo.getEventUserType());
        this.setEventUserName(vo.getEventUserName());
        this.setEventCardno(vo.getEventCardno());
        this.setEventTel(vo.getEventTel());
        this.setTyshxydm(vo.getTyshxydm());
        this.setEventRepresent(vo.getEventRepresent());
        this.setRemark(vo.getRemark());
        this.setIsKeynote(vo.getIsKeynote());
        this.setKeynoteType(vo.getKeynoteType());
        this.set_user(vo.get_user());
    }
}
